For the complete documentation index, see llms.txt. This page is also available as Markdown.

Highlight

List all products given an analysis

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
criteriastring[]Opcional
argumentsstringOpcional
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 10
Respostas
200

OK

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/products/analysis/highlight
GET /api/sales/products/analysis/highlight HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "active": true,
      "name": "text",
      "sku": "text",
      "short_description": "text",
      "long_description": "text",
      "ean_gtin": "text",
      "brand_id": "text",
      "brand_name": "text",
      "video_url": "text",
      "main_image_url": "text",
      "resource_file_id": "text",
      "price": 1,
      "stock": 1,
      "warehouse_default": "text",
      "warehouse_default_name": "text",
      "maximum_discount": 1,
      "minimum_stock": 1,
      "minimum_for_sale": 1,
      "multiple_for_sale": 1,
      "standard_unit_id": "text",
      "standard_unit_name": "text",
      "standard_unit_abbreviation": "text",
      "standard_unit_decimals_for_quantity": 1,
      "category_id": "text",
      "category_name": "text",
      "product_weight": 1,
      "product_width": 1,
      "product_height": 1,
      "product_depth": 1,
      "packaging_weight": 1,
      "packaging_width": 1,
      "packaging_height": 1,
      "packaging_depth": 1,
      "highlight": true,
      "seo_title": "text",
      "seo_description": "text",
      "seo_meta_keywords": [
        "text"
      ],
      "maximum_markup": 1,
      "tags": [
        "text"
      ],
      "alternative_units": [
        {
          "id": "text",
          "product_id": "text",
          "unit_id": "text",
          "unit_name": "text",
          "unit_abbreviation": "text",
          "decimals_for_quantity": 1,
          "value_multiplier": 1,
          "quantity": 1,
          "attributes": {
            "ANY_ADDITIONAL_PROPERTY": {}
          }
        }
      ],
      "variations": [
        {
          "id": "text",
          "sku": "text",
          "price": 1,
          "stock": 1,
          "variation_weight": 1,
          "variation_width": 1,
          "variation_height": 1,
          "variation_depth": 1,
          "packaging_weight": 1,
          "packaging_width": 1,
          "packaging_height": 1,
          "packaging_depth": 1,
          "images": [
            {
              "resource_id": "text"
            }
          ],
          "values": [
            {
              "variation_id": "text",
              "name": "text",
              "value": "text",
              "attributes": {
                "ANY_ADDITIONAL_PROPERTY": {}
              },
              "display_value": "text",
              "display_type": "COLOR"
            }
          ]
        }
      ],
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "category_specifications": [
        {
          "name": "text",
          "items": [
            {
              "id": "text",
              "specification_id": "text",
              "name": "text",
              "type": "text",
              "options": [
                "text"
              ],
              "values": [
                "text"
              ]
            }
          ]
        }
      ],
      "complements": [
        {
          "id": "text",
          "key": "text",
          "title": "text",
          "type": "text",
          "price": 1,
          "is_required": true,
          "observations": "text",
          "max_characters": 1,
          "order": 1,
          "options": [
            {
              "id": "text",
              "key": "text",
              "value": "text",
              "price": 1,
              "order": 1
            }
          ]
        }
      ],
      "images": [
        {
          "resource_file_id": "123e4567-e89b-12d3-a456-426614174000",
          "image_url": "text"
        }
      ]
    }
  ]
}